/*----- PROTECTED REGION ID(Agilent33x20AStateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id:  $";
//=============================================================================
//
// file :        Agilent33x20AStateMachine.cpp
//
// description : State machine file for the Agilent33x20A class
//
// project :     Agilent 33x20a signal generator
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <Agilent33x20A.h>

/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::Agilent33x20AStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================
//  ON      |  *
//  OFF     |  *
//  FAULT   |  


namespace Agilent33x20A_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Frequency_allowed()
 *	Description : Execution allowed for Frequency attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Frequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Frequency attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FrequencyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FrequencyStateAllowed_WRITE

	//	Not any excluded states for Frequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Voltage_allowed()
 *	Description : Execution allowed for Voltage attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Voltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Voltage attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::VoltageStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::VoltageStateAllowed_WRITE

	//	Not any excluded states for Voltage attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::VoltageStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::VoltageStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_VoltageOffset_allowed()
 *	Description : Execution allowed for VoltageOffset attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_VoltageOffset_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for VoltageOffset attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::VoltageOffsetStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::VoltageOffsetStateAllowed_WRITE

	//	Not any excluded states for VoltageOffset attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::VoltageOffsetStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::VoltageOffsetStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Function_allowed()
 *	Description : Execution allowed for Function attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Function_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Function attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FunctionStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FunctionStateAllowed_WRITE

	//	Not any excluded states for Function attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FunctionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FunctionStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_SweepStartFrequency_allowed()
 *	Description : Execution allowed for SweepStartFrequency attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_SweepStartFrequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for SweepStartFrequency attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepStartFrequencyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepStartFrequencyStateAllowed_WRITE

	//	Not any excluded states for SweepStartFrequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepStartFrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepStartFrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_SweepStopFrequency_allowed()
 *	Description : Execution allowed for SweepStopFrequency attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_SweepStopFrequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for SweepStopFrequency attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepStopFrequencyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepStopFrequencyStateAllowed_WRITE

	//	Not any excluded states for SweepStopFrequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepStopFrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepStopFrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_SweepSpacing_allowed()
 *	Description : Execution allowed for SweepSpacing attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_SweepSpacing_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for SweepSpacing attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepSpacingStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepSpacingStateAllowed_WRITE

	//	Not any excluded states for SweepSpacing attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepSpacingStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepSpacingStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_SweepTime_allowed()
 *	Description : Execution allowed for SweepTime attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_SweepTime_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for SweepTime attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepTimeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepTimeStateAllowed_WRITE

	//	Not any excluded states for SweepTime attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::SweepTimeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::SweepTimeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_TriggerSource_allowed()
 *	Description : Execution allowed for TriggerSource attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_TriggerSource_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for TriggerSource attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::TriggerSourceStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::TriggerSourceStateAllowed_WRITE

	//	Not any excluded states for TriggerSource attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::TriggerSourceStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::TriggerSourceStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_BurstCycles_allowed()
 *	Description : Execution allowed for BurstCycles attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_BurstCycles_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for BurstCycles attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstCyclesStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstCyclesStateAllowed_WRITE

	//	Not any excluded states for BurstCycles attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstCyclesStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstCyclesStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_BurstPhase_allowed()
 *	Description : Execution allowed for BurstPhase attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_BurstPhase_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for BurstPhase attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstPhaseStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstPhaseStateAllowed_WRITE

	//	Not any excluded states for BurstPhase attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstPhaseStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstPhaseStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_BurstRate_allowed()
 *	Description : Execution allowed for BurstRate attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_BurstRate_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for BurstRate attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstRateStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstRateStateAllowed_WRITE

	//	Not any excluded states for BurstRate attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::BurstRateStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::BurstRateStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Mode_allowed()
 *	Description : Execution allowed for Mode attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Mode_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Mode attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModeStateAllowed_WRITE

	//	Not any excluded states for Mode attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_ModulationSource_allowed()
 *	Description : Execution allowed for ModulationSource attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_ModulationSource_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for ModulationSource attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationSourceStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationSourceStateAllowed_WRITE

	//	Not any excluded states for ModulationSource attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationSourceStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationSourceStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_ModulationFrequency_allowed()
 *	Description : Execution allowed for ModulationFrequency attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_ModulationFrequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for ModulationFrequency attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationFrequencyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationFrequencyStateAllowed_WRITE

	//	Not any excluded states for ModulationFrequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationFrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationFrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_ModulationFunction_allowed()
 *	Description : Execution allowed for ModulationFunction attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_ModulationFunction_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for ModulationFunction attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationFunctionStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationFunctionStateAllowed_WRITE

	//	Not any excluded states for ModulationFunction attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::ModulationFunctionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ModulationFunctionStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_AMDepth_allowed()
 *	Description : Execution allowed for AMDepth attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_AMDepth_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for AMDepth attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::AMDepthStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::AMDepthStateAllowed_WRITE

	//	Not any excluded states for AMDepth attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::AMDepthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::AMDepthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_FMDeviation_allowed()
 *	Description : Execution allowed for FMDeviation attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_FMDeviation_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for FMDeviation attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FMDeviationStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FMDeviationStateAllowed_WRITE

	//	Not any excluded states for FMDeviation attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::FMDeviationStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::FMDeviationStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Waveform_allowed()
 *	Description : Execution allowed for Waveform attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Waveform_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Waveform attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33x20A::WaveformStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::WaveformStateAllowed_WRITE

	//	Not any excluded states for Waveform attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33x20A::WaveformStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::WaveformStateAllowed_READ
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_On_allowed()
 *	Description : Execution allowed for On attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_On_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for On command.
	/*----- PROTECTED REGION ID(Agilent33x20A::OnStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::OnStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Off_allowed()
 *	Description : Execution allowed for Off attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Off_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Off command.
	/*----- PROTECTED REGION ID(Agilent33x20A::OffStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::OffStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent33x20A::is_Reset_allowed()
 *	Description : Execution allowed for Reset attribute
 */
//--------------------------------------------------------
bool Agilent33x20A::is_Reset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Reset command.
	/*----- PROTECTED REGION ID(Agilent33x20A::ResetStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33x20A::ResetStateAllowed
	return true;
}

}	//	End of namespace
